#procedure lorentzinvariants()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to adapt vectors variab. to Lorentz invariant squared masses 
** Begun on 28/08/02

.sort
nwrite statistics;

id bb0(k1?,x?,y?)= bb0 (k1.k1,x,y);
id bb1(k1?,x?,y?)= bb1 (k1.k1,x,y);
id bb00(k1?,x?,y?)=bb00(k1.k1,x,y);
id bb11(k1?,x?,y?)=bb11(k1.k1,x,y);

id cc0(k1?,k2?,x?,y?,z?)= cc0 (k1.k1,k1.k1+k2.k2-2*k1.k2,k2.k2,x,y,z);
id cc1(k1?,k2?,x?,y?,z?)= cc1 (k1.k1,k1.k1+k2.k2-2*k1.k2,k2.k2,x,y,z);
id cc2(k1?,k2?,x?,y?,z?)= cc2 (k1.k1,k1.k1+k2.k2-2*k1.k2,k2.k2,x,y,z);
id cc00(k1?,k2?,x?,y?,z?)=cc00(k1.k1,k1.k1+k2.k2-2*k1.k2,k2.k2,x,y,z);
id cc11(k1?,k2?,x?,y?,z?)=cc11(k1.k1,k1.k1+k2.k2-2*k1.k2,k2.k2,x,y,z);
id cc12(k1?,k2?,x?,y?,z?)=cc12(k1.k1,k1.k1+k2.k2-2*k1.k2,k2.k2,x,y,z);
id cc22(k1?,k2?,x?,y?,z?)=cc22(k1.k1,k1.k1+k2.k2-2*k1.k2,k2.k2,x,y,z);

** Possible Fortran output should be here adapted

#endprocedure
*$Id: lorentzinvariants.prc,v 1.3 2004/10/08 14:28:11 alorca Exp $
